Execute Agent by ID
curl --request POST \
--url https://{api-address}.org.machina.gg/agent/executor/id/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-token: <api-key>' \
--data '
{
"agent-config": {
"delay": true
},
"input": {},
"context": {}
}
'import requests
url = "https://{api-address}.org.machina.gg/agent/executor/id/{id}"
payload = {
"agent-config": { "delay": True },
"input": {},
"context": {}
}
headers = {
"x-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({'agent-config': {delay: true}, input: {}, context: {}})
};
fetch('https://{api-address}.org.machina.gg/agent/executor/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"execution_id": "67db5c012ae92018b93310a4",
"status": "scheduled",
"message": "Agent execution scheduled successfully",
"result": {}
}Agents
Execute Agent by ID
Execute an agent using its unique identifier.
POST
/
agent
/
executor
/
id
/
{id}
Execute Agent by ID
Authorizations
API key authentication
Path Parameters
Unique ID of the agent to execute
Body
application/json
Response
Agent execution result or status
Unique identifier for the execution
Example:
"67db5c012ae92018b93310a4"
Status of the execution
Available options:
scheduled, completed, failed Example:
"scheduled"
Informational message about the execution
Example:
"Agent execution scheduled successfully"
The result of the agent execution (if immediate)
⌘I

